Collections
Update collection
Update collection configuration (name, fields, permissions). Accepts: OrgBearerAuth (for admin users), ProjectBearerAuth (JWT for authenticated users), or ApiKeyAuth (X-API-Key for programmatic access). Both ProjectBearerAuth and ApiKeyAuth are fully implemented.
PATCH
/api/schemas/projects/{projectId}/collections/{collectionId}SDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, CollectionsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const collections = new CollectionsApi(configuration);import { Configuration, CollectionsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const collections = new CollectionsApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await collections.updateCollection(
"proj_gTJJOG2BKppS",
"HNQeLEqg24bWEEnj",
{
name: "Miranda Weissnat DDS",
fields: "circuit program",
permissions: "circuit index",
settings: "system hack"
}
);const { data: result } = await collections.updateCollection(
"proj_gTJJOG2BKppS",
"HNQeLEqg24bWEEnj",
{
name: "Miranda Weissnat DDS",
fields: "circuit program",
permissions: "circuit index",
settings: "system hack"
}
);Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Use the auth endpoints to obtain a JWT.
No Request Yet
Send a request to see the full inspector
Authentication
Requires JWT
Note
Include your JWT in the
Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectId | string | Yes | — |
collectionId | string | Yes | — |
Request Body
json
{
"name": "Johnathan Torp I",
"fields": [
{
"name": "Luis Kilback",
"type": "enum",
"required": false,
"unique": true,
"default": "protocol program",
"validation": {},
"ui": {}
}
],
"permissions": [
{
"role": "firewall reboot",
"actions": [
"create"
],
"fields": [
"card back up"
],
"condition": {}
}
],
"settings": {}
}{
"name": "Johnathan Torp I",
"fields": [
{
"name": "Luis Kilback",
"type": "enum",
"required": false,
"unique": true,
"default": "protocol program",
"validation": {},
"ui": {}
}
],
"permissions": [
{
"role": "firewall reboot",
"actions": [
"create"
],
"fields": [
"card back up"
],
"condition": {}
}
],
"settings": {}
}Responses
200Collection updated
json
{
"message": "Collection updated successfully",
"collection": {
"_id": "685ada8fd9416ac02f171abf",
"name": "products_updated",
"slug": "products-updated",
"project": "685ad30be129932fbb7a1047",
"fields": [
{
"name": "title",
"type": "string",
"required": true
}
],
"updatedAt": "2024-01-15T11:00:00.000Z"
}
}{
"message": "Collection updated successfully",
"collection": {
"_id": "685ada8fd9416ac02f171abf",
"name": "products_updated",
"slug": "products-updated",
"project": "685ad30be129932fbb7a1047",
"fields": [
{
"name": "title",
"type": "string",
"required": true
}
],
"updatedAt": "2024-01-15T11:00:00.000Z"
}
}